## fonts-smc-raghumalayalamsans 2.1.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=RaghuMalayalamSans-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=2.1.1
default: compile
all: compile

compile: clean
	@for font in `echo ${fonts}`;do \
		echo "Generating $$font.ttf";\
		$(PY) $(buildscript) $$font.sfd $(feature) $(version);\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
dist:
	@for font in `echo ${fonts}`;do \
		cp $${font}.ttf ttf/$${font}.ttf;\
	done;
clean:
	@rm -rf *.ttf *.sfd-* *.woff* *.eot

=== debian/changelog ===
fonts-smc-raghumalayalamsans (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Updated Build-Dep: fonttools->python-fonttools. Thanks to Adrian Bunk.
      (Closes: #876833)
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Sat, 21 Oct 2017 13:14:28 +0530

fonts-smc-raghumalayalamsans (2.1.1-1) unstable; urgency=medium

  [ Balasankar C ]
  * Team upload.
  * Splitting package fonts-smc to individual fonts.

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Dec 2016 18:06:43 +0530

=== debian/control ===
Source: fonts-smc-raghumalayalamsans
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               fontforge (>= 1:2016),
               libharfbuzz-bin,
               python-brotli,
               python-fontforge,
               python-fonttools,
               python2.7
Standards-Version: 4.1.1
Homepage: http://smc.org.in

Package: fonts-smc-raghumalayalamsans
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~), ttf-malayalam-fonts
Replaces: fonts-smc (<<6.1~), ttf-malayalam-fonts
Description: RaghuMalayalamSans malayalam font
 This package provides RaghuMalayalamSans font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f tests/*.pdf

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## fonts-smc-raghumalayalamsans 2.1.2

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=RaghuMalayalamSans-Regular
features=features
PY=python2.7
version=2.1.1
buildscript=tools/build.py
outdir=build
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(features)/$$font.fea -v $(version) -o $(outdir);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-raghumalayalamsans (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility to 11.
  * Use https for URLs.
  * Add missing license to d/copyright.
  * Move maintainership to Debian Fonts Task Force.
  * Remove unwanted lintian override.

 -- Balasankar C <balasankarc@debian.org>  Fri, 01 Mar 2019 22:35:35 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: fonts-smc-raghumalayalamsans
 Section: fonts
 Priority: optional
-Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
-Build-Depends: debhelper (>= 9~),
-               fontforge (>= 1:2016),
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Balasankar C <balasankarc@debian.org>
+Build-Depends: debhelper (>= 11~),
+               fontforge (>= 1:20161005~dfsg),
                libharfbuzz-bin,
-               python-brotli,
                python-fontforge,
                python-fonttools,
+               python-brotli,
                python2.7
-Standards-Version: 4.1.1
-Homepage: http://smc.org.in
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-raghumalayalamsans.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-raghumalayalamsans
+Standards-Version: 4.3.0
+Homepage: https://smc.org.in
 
 Package: fonts-smc-raghumalayalamsans
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/<project>-$1\.tar\.gz/g \
  https://gitlab.com/smc/raghumalayalamsans/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-raghumalayalamsans 2.2.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 fonts=RaghuMalayalamSans-Regular
 features=features
 PY=python2.7
-version=2.1.1
+version=2.2.0
 buildscript=tools/build.py
 outdir=build
 default: ttf

=== debian/changelog ===
fonts-smc-raghumalayalamsans (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Balasankar C <balasankarc@debian.org>  Sat, 20 Jul 2019 19:12:05 +0530

## fonts-smc-raghumalayalamsans 2.2.1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 fontpath=/usr/share/fonts/truetype/malayalam
 fonts=RaghuMalayalamSans-Regular
 features=features
-PY=python2.7
-version=2.2.0
+PY=python3
+version=2.2
 buildscript=tools/build.py
 outdir=build
 default: ttf

=== debian/changelog ===
fonts-smc-raghumalayalamsans (2.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #943085)
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Wed, 01 Jan 2020 19:31:47 +0530

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 11~),
-               fontforge (>= 1:20161005~dfsg),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               fontforge-nox (>= 1:20161005~dfsg),
                libharfbuzz-bin,
-               python-fontforge,
-               python-fonttools,
-               python-brotli,
-               python2.7
+               python3-fontforge,
+               python3-fonttools,
+               python3-brotli,
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-raghumalayalamsans.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-raghumalayalamsans
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://smc.org.in
+Rules-Requires-Root: no
 
 Package: fonts-smc-raghumalayalamsans
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f tests/*.pdf

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).raghumalayalamsans-Version(\d\S+)\.tar\.gz/raghumalayalamsans-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/raghumalayalamsans/tags?sort=updated_desc .*raghumalayalamsans-Version(\d\S+)\.tar\.gz
